/**
 * Formats given list of scaffold names.
 *
 * @param scaffolds are the list of the scaffold names.
 * @internal
 */
export declare function getScaffoldsMessage(scaffolds: string[]): string;
/**
 * Read list of scaffolds from disk.
 *
 * @internal
 */
export declare function readScaffolds(): Promise<string[]>;
/**
 * Creates a skeleton Node.js project for a generator (pg-generator plugin).
 *
 * @param scaffoldName is the name to create scaffold from.
 * @param options are options
 * @param options.outDir is the output directory to create the project.
 * @param options.name is the name of the created project.
 * @throws error if required scaffold is unavailable or output directory contains files.
 */
export declare function scaffold(scaffoldName: string, { outDir, name }: {
    outDir: string;
    name?: string;
}): Promise<void>;
//# sourceMappingURL=scaffold.d.ts.map