"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.copyDir = void 0;
const path_1 = require("path");
const fdir_1 = require("fdir");
const junk_1 = __importDefault(require("junk"));
const copy_file_1 = require("./copy-file");
async function copyDir(source, destination) {
    // Scan template root and filter partials and junk files such as `.DS_Store` and `Thumbs.db`
    const pathsWithBase = (await new fdir_1.fdir()
        .filter((path) => junk_1.default.not(path_1.basename(path)))
        .withBasePath()
        .crawl(source)
        .withPromise());
    await Promise.all(pathsWithBase.map((path) => copy_file_1.copyFile(path, path_1.join(destination, path_1.relative(source, path)))));
}
exports.copyDir = copyDir;
//# sourceMappingURL=copy-dir.js.map