"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.copyFile = void 0;
const path_1 = require("path");
const fs_1 = require("fs");
/**
 * Copy the source file to the destination. Also creates the destination directory if it does not exist.
 *
 * @param source is the source file to copy.
 * @param destination is the destination file to be created.
 */
async function copyFile(source, destination) {
    await fs_1.promises.mkdir(path_1.dirname(destination), { recursive: true });
    await fs_1.promises.copyFile(source, destination);
}
exports.copyFile = copyFile;
//# sourceMappingURL=copy-file.js.map