"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.exists = void 0;
const fs_1 = require("fs");
const ignor_1 = require("ignor");
/**
 * Checks whether given path exists.
 *
 * @param path is tha path to check.
 * @returns existence of the path.
 */
async function exists(path) {
    if (path === undefined)
        return false;
    return (await fs_1.promises.lstat(path).catch(ignor_1.ignoreCode("ENOENT"))) !== undefined;
}
exports.exists = exists;
//# sourceMappingURL=exists.js.map