import { DbObject, Db } from "pg-structure";
/**
 * Gets all database objects from all schemas to be used as context for the given className and accessor.
 *
 * @param db is the `pg-structure` `Db` instance.
 * @param className is the pg-structure class name to return instances of.
 * @param accessor is the pg-structure accessor name to access database objects collection.
 * @param templatePath is the template path to get database objects for.
 *
 * @example
 * getDbObjects(db, "table", "tables", "x/y/[table]{name}.js.njk"); // Table[];
 */
export declare function getDbObjects(db: Db, className: string, accessor: string, templatePath: string): Array<Db | DbObject>;
//# sourceMappingURL=get-db-objects.d.ts.map