/**
 * Parses given template path and returns pg-structure class name, accessor name to get collection of instances
 * and target path for the given template path. Allows an optional single space after type.
 *
 * @param templatePath is the template path to get the class name and the accessor.
 * @throws if template path does not contain a class type.
 *
 * @example
 * getClassName("x/y/[table]{name}.js.njk"); // { className: "Table", accessor: "tables", targetPath: "x/y/{name}.js.njk" };
 * getClassName("x/y/[table] {name}.js.njk"); // { className: "Table", accessor: "tables", targetPath: "x/y/{name}.js.njk"  };
 */
export declare function parseTemplatePath(templatePath: string): {
    className: string;
    accessor: string;
    targetPath: string;
};
//# sourceMappingURL=parse-template-path.d.ts.map