import type { Db, DbObject } from "pg-structure";
/**
 * Resolves variable names and applies filters to the path using given context data.
 *
 * @param path is the path of the template.
 * @param dbObject is the database or database object. e.g. Table, Schema etc.
 * @returns the destination file path.
 *
 * @hidden
 * @example
 * resolvePath("x/y/my-{schema.name}{name#dash-case#plural}.js.njk", table); // x/y/my-public-member-options.js
 */
export declare function resolvePath(path: string, dbObject: Db | DbObject): string;
//# sourceMappingURL=resolve-path.d.ts.map